Page MenuHomePhabricator

CropTool broken: Empty input file, JPEGErrorHandler
Closed, ResolvedPublic

Description

Empty input file `/mnt/nfs/labstore-secondary-tools-project/croptool/public_html/files/3b488e2f182d3e94e4c8543938226c5af09b15c4.jpg' @ error/jpeg.c/JPEGErrorHandler/316
when trying to crop https://commons.wikimedia.org/wiki/File:Amelia-in-evening-clothes-and-dressed-to-fly.jpg

Event Timeline

Yann created this task.Apr 19 2017, 10:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2017, 10:53 PM
Yann added a comment.Apr 19 2017, 10:55 PM

Idem on https://commons.wikimedia.org/wiki/File:1851_-_James_Reynolds_%26_John_Emslie_-_Mountains.jpg
Empty input file `/mnt/nfs/labstore-secondary-tools-project/croptool/public_html/files/b78d9eb81efb10cfb44d07f2d563fd3826b57d95.jpg' @ error/jpeg.c/JPEGErrorHandler/316

Is this about https://tools.wmflabs.org/croptool/ ? If so, it links to https://github.com/danmichaelo/croptool/issues for bug reports (though this might be an issue with file management either on Labs or on Commons).

Yann added a comment.Apr 20 2017, 10:29 AM

Yes sorry, that's the tool. It seems that it was a temporary glitch, at least for the second file, may due to the server change yesterday.
It still doesn't work for the first file.

zhuyifei1999 added a project: Tools.
zhuyifei1999 added a subscriber: zhuyifei1999.

(Assigning to tool maintainer)

Now it seems to work for the first file too.

Most likely the tool failed to fetched the file correctly for some reason. Or perhaps a temporary file system issue.

Danmichaelo closed this task as Resolved.Apr 24 2018, 10:15 AM